curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/servers?per_page=10&status=active"
[
{
"id": 1,
"user_id": 1,
"name": "My Weather Tools",
"slug": "my-weather-tools",
"server_id": "a1b2c3d4e5f6a1b2",
"status": "active",
"transport_type": "streamable-http",
"auth_type": "none",
"rate_limit_per_min": 60,
"settings": {
"description": "Tools for retrieving weather data"
},
"endpoint_url": "https://yoursite.com/mcp/my-weather-tools/a1b2c3d4e5f6a1b2",
"tool_count": 3,
"created_at": "2025-03-01T10:00:00",
"updated_at": "2025-03-15T14:30:00"
},
{
"id": 2,
"user_id": 1,
"name": "Stripe Payments",
"slug": "stripe-payments",
"server_id": "b2c3d4e5f6a1b2c3",
"status": "active",
"transport_type": "streamable-http",
"auth_type": "api-key",
"rate_limit_per_min": 30,
"settings": null,
"endpoint_url": "https://yoursite.com/mcp/stripe-payments/b2c3d4e5f6a1b2c3",
"tool_count": 8,
"created_at": "2025-03-05T08:00:00",
"updated_at": "2025-03-18T09:00:00"
}
]
Retrieve a paginated list of all MCP servers.
curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/servers?per_page=10&status=active"
[
{
"id": 1,
"user_id": 1,
"name": "My Weather Tools",
"slug": "my-weather-tools",
"server_id": "a1b2c3d4e5f6a1b2",
"status": "active",
"transport_type": "streamable-http",
"auth_type": "none",
"rate_limit_per_min": 60,
"settings": {
"description": "Tools for retrieving weather data"
},
"endpoint_url": "https://yoursite.com/mcp/my-weather-tools/a1b2c3d4e5f6a1b2",
"tool_count": 3,
"created_at": "2025-03-01T10:00:00",
"updated_at": "2025-03-15T14:30:00"
},
{
"id": 2,
"user_id": 1,
"name": "Stripe Payments",
"slug": "stripe-payments",
"server_id": "b2c3d4e5f6a1b2c3",
"status": "active",
"transport_type": "streamable-http",
"auth_type": "api-key",
"rate_limit_per_min": 30,
"settings": null,
"endpoint_url": "https://yoursite.com/mcp/stripe-payments/b2c3d4e5f6a1b2c3",
"tool_count": 8,
"created_at": "2025-03-05T08:00:00",
"updated_at": "2025-03-18T09:00:00"
}
]
active, paused, draft. Leave empty for all.id, name, slug, status, created_at, updated_at.ASC, DESC.| Header | Description |
|---|---|
X-WP-Total | Total number of matching servers |
X-WP-TotalPages | Total number of pages |
curl -H "Authorization: Bearer gmcp_your_api_key" \
"https://yoursite.com/wp-json/getmcp/v1/servers?per_page=10&status=active"
[
{
"id": 1,
"user_id": 1,
"name": "My Weather Tools",
"slug": "my-weather-tools",
"server_id": "a1b2c3d4e5f6a1b2",
"status": "active",
"transport_type": "streamable-http",
"auth_type": "none",
"rate_limit_per_min": 60,
"settings": {
"description": "Tools for retrieving weather data"
},
"endpoint_url": "https://yoursite.com/mcp/my-weather-tools/a1b2c3d4e5f6a1b2",
"tool_count": 3,
"created_at": "2025-03-01T10:00:00",
"updated_at": "2025-03-15T14:30:00"
},
{
"id": 2,
"user_id": 1,
"name": "Stripe Payments",
"slug": "stripe-payments",
"server_id": "b2c3d4e5f6a1b2c3",
"status": "active",
"transport_type": "streamable-http",
"auth_type": "api-key",
"rate_limit_per_min": 30,
"settings": null,
"endpoint_url": "https://yoursite.com/mcp/stripe-payments/b2c3d4e5f6a1b2c3",
"tool_count": 8,
"created_at": "2025-03-05T08:00:00",
"updated_at": "2025-03-18T09:00:00"
}
]